Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface TextPlacement

All Known Subinterfaces:
  LinePlacement, PointPlacement

    public interface TextPlacement

Abstract base class for the two different classes that specify the placement of text in a style, namely `PointPlacement` and `LinePlacement`. For a `PointPlacement`, the anchor point of the label and a linear displacement from the point can be specified, to allow a graphic symbol to be plotted directly at the point. This might be useful to label a city, for example. For a `LinePlacement`, a perpendicular offset can be specified, to allow the line itself to be plotted also. This might be useful for labelling a road or a river, for example.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Object` | `accept(StyleVisitor visitor, Object extraData)` Accepts a visitor.

Method Detail

### accept

    @Extension
    Object accept(StyleVisitor visitor,
                            Object extraData)

  Accepts a visitor. Implementations of all subinterfaces must have with a method whose content is the following:

      return visitor.visit(this, extraData);

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.